Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.jimi.core.util
Class LEDataOutputStream

    java.lang.Object
      |
      +--java.io.OutputStream
            |
            +--java.io.FilterOutputStream
                  |
                  +--com.sun.jimi.core.util.LEDataOutputStream

public class LEDataOutputStream
extends java.io.FilterOutputStream
implements java.io.DataOutput

### LEDataOutputStream - Little Endian Data Input Stream

A data output stream lets an application write primitive Java data types to an output stream in a portable way. This particular output stream is setup to write data in a format that would be written by a system which uses little endian memory architecture.

This class does not implement writeUTF() as it is not required for our application. In addition it is unclear if a writeUTF in little endian format would ever be useful.

Field Summary
`protected int` | `written`

Fields inherited from class java.io.FilterOutputStream
`out`

Constructor Summary
`LEDataOutputStream(java.io.OutputStream out)`

Method Summary
`void` | `flush()`
`int` | `size()`
`void` | `write(byte[] b, int off, int len)`
`void` | `write(int b)`
`void` | `writeBoolean(boolean v)`
`void` | `writeByte(int v)`
`void` | `writeBytes(java.lang.String s)`
`void` | `writeChar(int v)`
`void` | `writeChars(java.lang.String s)`
`void` | `writeDouble(double v)`
`void` | `writeFloat(float v)`
`void` | `writeInt(int v)`
`void` | `writeLong(long v)`
`void` | `writeShort(int v)`
`void` | `writeUTF(java.lang.String str)` dont call this it is not implemented.

Methods inherited from class java.io.FilterOutputStream
`close, write`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### written

    protected int written

Constructor Detail

### LEDataOutputStream

    public LEDataOutputStream(java.io.OutputStream out)

Method Detail

### write

    public void write(int b)
               throws java.io.IOException

  Specified by:
    write in interface java.io.DataOutput
  Overrides:
    write in class java.io.FilterOutputStream

### write

    public void write(byte[] b,
                      int off,
                      int len)
               throws java.io.IOException

  Specified by:
    write in interface java.io.DataOutput
  Overrides:
    write in class java.io.FilterOutputStream

### flush

    public void flush()
               throws java.io.IOException

  Overrides:
    flush in class java.io.FilterOutputStream

### writeBoolean

    public final void writeBoolean(boolean v)
                            throws java.io.IOException

  Specified by:
    writeBoolean in interface java.io.DataOutput

### writeByte

    public final void writeByte(int v)
                         throws java.io.IOException

  Specified by:
    writeByte in interface java.io.DataOutput

### writeShort

    public final void writeShort(int v)
                          throws java.io.IOException

  Specified by:
    writeShort in interface java.io.DataOutput

### writeChar

    public final void writeChar(int v)
                         throws java.io.IOException

  Specified by:
    writeChar in interface java.io.DataOutput

### writeInt

    public final void writeInt(int v)
                        throws java.io.IOException

  Specified by:
    writeInt in interface java.io.DataOutput

### writeLong

    public final void writeLong(long v)
                         throws java.io.IOException

  Specified by:
    writeLong in interface java.io.DataOutput

### writeFloat

    public final void writeFloat(float v)
                          throws java.io.IOException

  Specified by:
    writeFloat in interface java.io.DataOutput

### writeDouble

    public final void writeDouble(double v)
                           throws java.io.IOException

  Specified by:
    writeDouble in interface java.io.DataOutput

### writeBytes

    public final void writeBytes(java.lang.String s)
                          throws java.io.IOException

  Specified by:
    writeBytes in interface java.io.DataOutput

### writeChars

    public final void writeChars(java.lang.String s)
                          throws java.io.IOException

  Specified by:
    writeChars in interface java.io.DataOutput

### writeUTF

    public final void writeUTF(java.lang.String str)
                        throws java.io.IOException

  dont call this it is not implemented.
  Specified by:
    writeUTF in interface java.io.DataOutput

### size

    public final int size()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD